

#ifndef Pppoem_includeD

#define Pppoem_includeD



struct PppoeM {

 /* Wether to run in an own loop and report to stdout+stderr */
 int standalone;

 /* wether to listen at stdin for messages rather than reading files */
 int listen_stdin;

 /* name of the device (e.g.  "ppp0" or "-" inactive automatic ) */
 char dev_name[4096];
 int dev_automatic;

 /* controls frequency of polling */
 double delay;


 /* time spans for the adjustable statistics (in multiples of freq) */
 int time_spans[3];

 /* wether to be quiet on stdout+stderr : 0=no, 1=yes, 2=forward samples */
 int quiet;
 
 /* wether to use local time for printed time stamps */
 int use_local_time;

 /* wether to print a headline to stderr each time a connection starts */
 int headlines_on;


 /* total number of polls since start of object */
 double poll_count;
 /* total number of connection changes */
 double conn_count;


 /* wether the connection is established : 0=no , 1=yes , 2=pretended */
 int missing_pppoe_reported;
 int is_open;

 /* state when the current connection started */
 double start_time;
 double start_bytes;
 double last_time;
 double last_bytes;

 /* ring buffer of last samples */
 double *ring_counts;
 double *ring_times;

 /* number of entries (>= any time_spans[] ) */
 int ring_size;

 /* where to write the next sample */
 int ring_cursor;

 /* wether the ring is filled completely */
 int ring_full;


};


#endif /* ! Pppoem_includeD */
